count_if.hpp File Reference

## Functions

template<typename I , typename S , typename R , typename P = identity>
auto | ranges::count_if (I first, S last, R pred, P proj=P{}) -> iter_difference_t< I > requires input_iterator< I > &&sentinel_for< S, I > &&indirect_unary_predicate< R, projected< I, P >>
| function template `count_if`
template<typename Rng , typename R , typename P = identity>
auto | ranges::count_if (Rng &&rng, R pred, P proj=P{}) -> iter_difference_t< iterator_t< Rng >> requires input_range< Rng > &&indirect_unary_predicate< R, projected< iterator_t< Rng >, P >>